## org.apache.catalina.ant
Class ValidatorTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.ValidatorTask

public class ValidatorTask
extends org.apache.tools.ant.Task

Task for validating a web application deployment descriptor, using XML schema validation.

Since:
  5.0
Version:
  $Revision: 1.7 $ $Date: 2004/02/27 14:58:41 $
Author:
  Remy Maucherat

Field Summary
`protected java.lang.String` `path` The path to the webapp directory.

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ValidatorTask()`

Method Summary
`void` `execute()` Execute the specified command.
`java.lang.String` `getPath()`
`void` `setPath(java.lang.String path)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### path

    protected java.lang.String path

  The path to the webapp directory.

Constructor Detail

### ValidatorTask

    public ValidatorTask()

Method Detail

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the specified command. This logic only performs the common attribute validation required by all subclasses; it does not perform any functional logic directly.

  Throws:
    `org.apache.tools.ant.BuildException` - if a validation error occurs

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.